Bug 11977 - klogd breaks after syslogd restart/log rotating
Summary: klogd breaks after syslogd restart/log rotating
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-08 10:59 UTC by Frank Van Maarseveen
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-09 07:23:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugfix (390 bytes, patch)
2000-06-09 07:23 UTC, Frank Van Maarseveen
no flags Details | Diff

Description Frank Van Maarseveen 2000-06-08 10:59:26 UTC
klogd no longer logs kernel messages such as those from a packet filtering
firewall once syslogd has received a SIGHUP (log rotating does this) or
is restarted in another way.

Fix:
--- syslog.c.orig       Thu Jun  8 10:32:07 2000
+++ syslog.c    Thu Jun  8 11:05:39 2000
@@ -164,6 +164,11 @@
        }

        /* output the message to the local logger */
+       if (write(LogFile, tbuf, cnt + 1) == -1) {
+               /* syslogd restarted */
+               closelog();
+               openlog(LogTag, LogStat | LOG_NDELAY, 0);
+       }
        if (write(LogFile, tbuf, cnt + 1) >= 0 || !(LogStat&LOG_CONS))
                return;

Comment 1 Frank Van Maarseveen 2000-06-09 07:23:48 UTC
Created attachment 378 [details]
bugfix

Comment 2 Bill Nottingham 2000-06-11 19:24:43 UTC
This was fixed in the errata sysklogd package.


Note You need to log in before you can comment on or make changes to this bug.